import { OnesTable, OnesTableHook } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { CellBackgroundCallback } from './types';
export default class CellBackgroundHook implements OnesTableHook {
    private table;
    private callbacks;
    constructor(table: OnesTable);
    cellPaint(table: OnesTable, oldPaint: any, ctx: CanvasRenderingContext2D, value: any, x: number, y: number, w: number, h: number, style: GC.Spread.Sheets.Style, context?: any): undefined;
    destroy(): void;
    addCallback(callback: CellBackgroundCallback): void;
}
export declare function enableCellBackground(table: OnesTable): CellBackgroundHook;
export declare function addCellBackgroundCallback(table: OnesTable, callback: CellBackgroundCallback): void;
